### Function

# Dex file_io_stream_query_info

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_file_io_stream_query_info (
      GFileIOStream* stream,
      const char* attributes,
      int io_priority
    )

#### Description [src]

Wraps `g_file_io_stream_query_info_async()`.

Available since: 1.2

#### Parameters

`stream`

  Type: `GFileIOStream`

  A `GFileIOStream`.

  The data is owned by the caller of the function.

`attributes`

  Type: `const char*`

  File attributes to query.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`io_priority`

  Type: `int`

  Priority for the IO operation.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GFileInfo` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.